<div class="content">
  <form [formGroup]="assessmentFormGroup.formGroup">
    <div class="panel-wrapper">
      <div class="left-panel">
        <!-- TITLE field -->
        <mat-form-field appearance="outline"
          (keydown.enter)="$event.preventDefault()">
          <mat-label>Title</mat-label>
          <input matInput placeholder="Title" formControlName="title" required>
          <button *ngIf="title.value" matSuffix mat-icon-button
            aria-label="Clear" (click)="title.setValue('');">
            <mat-icon>close</mat-icon>
          </button>
          <mat-error *ngIf="title.hasError('whitespace')">Title cannot be empty</mat-error>
        </mat-form-field>

        <div class="time-configuration-container">
          <!-- ESTIMATED DURATION field -->
          <mat-form-field appearance="outline" hintLabel="Number in minutes greater than 1.">
            <mat-label>Estimated Duration in Minutes</mat-label>
            <input
              matInput
              placeholder="Estimated Duration in Minutes"
              min="1"
              maxlength="9"
              formControlName="estimatedDuration"
            />
            <mat-error *ngIf="estimatedDuration.hasError('pattern') || estimatedDuration.hasError('min')">
              Estimated Duration must be a number greater than or equal to 1
            </mat-error>
          </mat-form-field>

          <!-- MINIMAL POSSIBLE SOLVE TIME field -->
          <mat-form-field
            appearance="outline"
            hintLabel="Number in minutes greater than 0."
          >
            <mat-label>Minimal Possible Solve Time in Minutes</mat-label>
            <input
              matInput
              placeholder="Minimal Possible Solve Time in Minutes"
              min="0"
              maxlength="9"
              formControlName="minimalPossibleSolveTime"
            />
            <mat-error *ngIf="minimalPossibleSolveTime.hasError('pattern') || estimatedDuration.hasError('min')">
              Minimal Possible Solve Time must be a number greater than or equal to 0
            </mat-error>
          </mat-form-field>
        </div>

        <!-- INSTRUCTIONS field -->
        <h3>Instructions</h3>
        <sentinel-markdown-editor class="mrkdwn-content"
          [sentinel-markdown-file-upload]="false"
          (contentChange)="instructions.setValue($event)"
          [content]="instructions.value"></sentinel-markdown-editor>
      </div>
      <div class="right-panel">
        <div class="test-toggle-wrapper">
          <span class="test-toggle-right-margin">Questionnaire</span>
          <mat-slide-toggle
            matTooltip="Switching to questionnaire wil delete your answers"
            formControlName="isTest">
          </mat-slide-toggle>
          <span class="test-toggle-left-margin">Test</span>
        </div>
      </div>
    </div>

    <!-- QUESTIONS component -->
    <kypo-question-overview (questionsChange)="onQuestionsChanged($event)" [assessmentOrder]='level.order'
                            [questions]="level.questions" [isTest]="isTest.value"></kypo-question-overview>
  </form>
</div>
